function [F2_value] = Fourier2_value(M, ET1, ET2)
%
% calculate Fourier2 (VYG) value for the given pair
%
%
%   Theodore Alexandrov (autossa@gmail.com)
%   Last modified: Sep 14, 2006
%

L = size(M,1);

F2_value=-1;


k=2; %k=1 <--> periodogram at w=0, skip it
d1=Periodogram(M(1:L,ET1),k) + Periodogram(M(1:L,ET2),k);
d1=d1/2;

k=3;
while k<=floor(L/2)+1	% go through all freqs > 0
   d2=Periodogram(M(1:L,ET1),k) + Periodogram(M(1:L,ET2),k);
   d2=d2/2;

   if (d1+d2>F2_value)
      F2_value=d1+d2;
   end

   d1=d2;

   k=k+1;
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
