function [rho_atET, rhoT2_atET] = Fourier2_values(U, ETs, T2ETs, showprogress)

%
%
%
%   Theodore Alexandrov (autossa@gmail.com)
%   Last modified: Jun 23, 2006

if showprogress
    progressbar = waitbar(0, 'Fourier-criterion values for all pairs of neighbour ETs...');
end


i=1;
for ET1=ETs
    if Fourier1_check(U, ET1, ET1+1)
        rho_atET(ET1) = Fourier2_value(U, ET1, ET1+1);
    else
        rho_atET(ET1) = 0;
    end
    
    if showprogress
        waitbar(0.5*i/length(ETs), progressbar);
    end
    
    i=i+1;
end


for ET=T2ETs
    if Fourier1_check_T2(U, ET)
        rhoT2_atET(ET) = Fourier2_value_T2(U, ET);
    else
        rhoT2_atET(ET) = 0;
    end
    
    if showprogress
        waitbar(0.5*i/length(T2ETs), progressbar);
    end
    
    i=i+1;    
end


if showprogress
    waitbar(1, progressbar);
    close(progressbar);
end