function [criterion_value] = LFCrit(ts, trend, omega0)
%
%  Calculates quality of trend extraction by means of LF criteria
%
%  Theodore Alexandrov (autossa@gmail.com)
%  Last modified: November 28, 2005 

LF_ts = LFvalue_ts(ts, omega0);
LF_res = LFvalue_ts(ts-trend, omega0);

if isnan(LF_ts) || isnan(LF_res)
   criterion_value=NaN;
else
   criterion_value = LF_res/LF_ts;
end   

