function [LF_value] = LFvalue_ts(F, omega0)
%
%  Calculate LowFreq value for a time series
%
%  Parameters:
%    F -- a time series (as a row)
%    omega0 -- upper boundary of low frequencies interval [0, omega0]
%
%  Comments:
%    1) It's just a wrapper calling LFvalue_vect, see comments on this.
%
%    2) We define LowFreq value of zero vector equal to 0.
%
%  Theodore Alexandrov (autossa@gmail.com)
%  Last modified: November 27, 2005 


LF_value = LFvalue_vect(F, omega0, 1);
