function [reconstructed] = reconstruct_byETs(ts, L, ETs)
%
%  Reconstruct additive component of given time series 
%  by specified ETs 
%
%  Parameters:
%    ts -- a time series (a column)
%    L -- a window length (1<L<time series length)
%    ETs -- array of trend ETs, e.g. [1 2 3 7 8]
%
%  Returns:
%    reconstructed -- a reconstructed time series (column)
%
%  Theodore Alexandrov (autossa@gmail.com)
%  Last modified: 2 Oct 2006


% SSA
[sing_values,U,V] = ssa(ts, L);

% reconstruction
reconstructed = ssa_reconstruct(sing_values, U, V, ETs);

