function save_autoperiodicity(fileout, ...
                            ts, ...
                            L, ...
                            MSEthresh, ...
                            maxET, ...
                            rho0left, ...
                            rho0right, ...
                            rho0step, ...
                            Tlimmin, ...
                            Tlimmax, ...
                            ...
                            per, ...
                            perETs, ...
                            rho0);
                        

%   Theodore Alexandrov (autossa@gmail.com)
%   Last modified: Jun 28, 2006
                            
N=length(ts);

fid=fopen(fileout, 'w');

fprintf(fid, '%% Results of periodicity extraction using AutoSSA\n');
fprintf(fid, '%%\n');
fprintf(fid, ['%% N=', num2str(N), '\n']);
fprintf(fid, ['%% Parameters:\n']);
fprintf(fid, ['%%    L=', num2str(L), ', MSE threshold=', num2str(MSEthresh), '\n']);
fprintf(fid, ['%%    Examined first ', num2str(maxET), ' ETs\n']);
fprintf(fid, ['%%    Search of rho0 inside [', num2str(rho0left), ', ', num2str(rho0right),'] with step ', num2str(rho0step), '\n']);
fprintf(fid, '%% Results:\n');
fprintf(fid, ['%%    rho0=', num2str(rho0), '\n']);
fprintf(fid, ['%%    Periodicity ETs: ', ETsnum2str(perETs), '\n']);
fprintf(fid, '%%\n');
fprintf(fid, '%% Saving time: %s\n', datestr(now));
fprintf(fid, '%%\n');

fprintf(fid, 'timeseries\tperiodicity\tresidual\n');

for i=1:N
    fprintf(fid, [num2str(ts(i)), '\t', num2str(per(i)), '\t', num2str(ts(i)-per(i)), '\n']);
end

fclose(fid);
